Subject: Re: bug#77566: [PATCH] Add option for automatically delete non-existent projects.

From: Ship Mints <[email-masked]>
Date: Mon, 7 Apr 2025 09:19:53 -0400

On Mon, Apr 7, 2025 at 2:41 AM Juri Linkov <[email-masked]> wrote:

> > +(defcustom project-dont-prune-remote-zombie-projects nil
> > +  "If non-nil, remote files will no be pruned by
> `project-forget-zombie-projects'."
> > +  :type 'boolean
> > +  :version "31.1"
> > +  :group 'project)
>
> Maybe it's possible to do with one option like there is
> remote-ignoring 'recentf-keep-default-predicate'
> in the default value of 'recentf-keep'.
>
> > I don't have a remote project so I can't test it.
>
> 'sudo' counts as a remote project too.
> So you can just type 'C-x x @' and the current project
> will be added as remote.
>

Indeed, and you can also open a local project via ssh to get the same thing
if you want to test other remote methods.

I think this is backwards

+    (unless (or (and no-remote (file-exists-p proj) (not (file-remote-p
proj)))

and should be

+    (unless (or (and no-remote (not (file-remote-p proj) (file-exists-p
proj)))

to avoid the cost of a remote file-exists-p.